# Uses of Interface
org.eclipse.ui.console.IConsoleView

Packages that use IConsoleView
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IConsoleView in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return IConsoleView
Modifier and Type
Method
Description
`protected IConsoleView`
TextConsolePage.`getConsoleView()`
Returns the view this page is contained in.
Methods in org.eclipse.ui.console with parameters of type IConsoleView
Modifier and Type
Method
Description
`IPageBookViewPage`
IConsole.`createPage(IConsoleView view)`
Creates and returns a new page for this console.
`IPageBookViewPage`
IOConsole.`createPage(IConsoleView view)`
`IPageBookViewPage`
MessageConsole.`createPage(IConsoleView view)`
`IPageBookViewPage`
TextConsole.`createPage(IConsoleView view)`
Constructors in org.eclipse.ui.console with parameters of type IConsoleView
Modifier
Constructor
Description
``
`TextConsolePage(TextConsole console, IConsoleView view)`
Constructs a text console page for the given console in the given view.